$(function () {
    //删除行业大类
    $("a[rel='del']").click(function () {
        var $delObject = $(this);

        if ($delObject.attr("sub") != "0") {
            alert("请先删除属于 [" + $delObject.attr("name") + "] 行业下的小类,才能删除该行业！");
            return false;
        }

        if (confirm("确定删除行业 [ " + $delObject.attr("name") + " ] 吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Industry.ashx",
                data: { 'com': 'delindustry', 'id': $delObject.attr("href"), 'name': $delObject.attr("name") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }

        return false;
    });
    //删除行业小类
    $("a[rel='delsub']").click(function () {
        var $delObject = $(this);

        if (confirm("确定删除行业 [ " + $delObject.attr("name") + " ] 吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Industry.ashx",
                data: { 'com': 'delindustrysub', 'id': $delObject.attr("href"), 'name': $delObject.attr("name") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }

        return false;
    });
})